Subject: [bug#40677] [PATCH V3 07/15] gnu: Add ffmpeg-jami.

From: Jan <[email-masked]>
Date: Thu, 7 May 2020 02:22:30 +0200

Hi again!

On Tue, 05 May 2020 09:18:58 +0200
Mathieu Othacehe <[email-masked]> wrote:

> Hello Jan,
> 
> Oh that's a disappointment indeed. Among those 95 flags I'm pretty
> sure most of them match the default, but going through all of them
> feels like a burden.
> 
> Ok, this seems fine. Don't hesitate to add a link to a Web view of the
> rules.mak file, so that it's clear where those flags come from.
Done.

> Another remark on this part,
> 
> >         "--enable-encoder=h264_nvenc"
> >         "--enable-encoder=hevc_nvenc"))
> >      ((string?= (%current-system) "aarch64-linux")
> > '("--arch=aarch64")) ((string?= (%current-system) "arm64-linux")
> > '("--arch=aarch64"))  
> 
> "arm64-linux" is not a valid system, you can remove it.
Done.

> >      ((string?= (%current-system) "arm") '("--arch=arm"))  
> 
> I think the right system here is "armhf-linux". However, you would
> also need to support cross-compilation when %current-target-system is
> set. In that case, the value looks like "aarch64-linux-gnu" and
> "arm-linux-gnueabihf".

I added "%current-target-system" to support cross-compilation.
Also fixed the drunk "string?=" uses - there's "string=?" actually and
I replaced it with "string-prefix?".

What's the difference between "arm-linux-gnueabihf" and
"aarch64-linux-gnu"? Are they synonyms?
Should it be:
if "arm-linux-gnueabihf" or "aarch64-linux-gnu"
use "--arch=armhf-linux"?

> If you add support for those plaforms you need to test it by building
> ffmpeg-jami with "--system" and "--target" flags. As this is a complex
> package with a lot of dependencies (probably failing to
> cross-compile), it would be fine with me if you just drop support for
> other systems/targets.

I want to try anyway. Jami supports Raspbian, so it is worth trying.

> Thanks,
> Mathieu

Jan Wielkiewicz